From: <a href="/blend/av.cgi?id=517">musicalduck</a><BR>
Date: 15 May 2010<P>

i'm just him, about <a href="/blend/wv.cgi?id=2010.05.04.16.44.20136">God bless you</a>:<BR>
I don't comment on here much, but your poems always speak to me. 
<HR>
From: <a href="/blend/av.cgi?id=186">Briana Kassia</a><BR>
Date: 15 May 2010<P>

I'd use a facebook group/fanthing/linkage. no real need for anonymity from me. (no Briana kassia isn't my real name, but lots of people know who I am. :)
<HR>
From: <a href="/blend/av.cgi?id=1498">twisted_lie</a><BR>
Date: 15 May 2010<P>

Is there a group on facebook we could join? that would be awesome!
<HR>
From: <a href="/blend/av.cgi?id=1498">twisted_lie</a><BR>
Date: 15 May 2010<P>

I'm just him,I guess the best way to describe it,is by saying I was a blender of emotions =))<BR>
<BR>
How have you been my friend?
<HR>